{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>{{course.title}} - {{course.subtitle}}</title>
{% endblock meta %}

{% block content %}

    <h2 id="title">
        Welcome to
    </h2 >
    
    {% if course.subtitle %}
        <h5 id="subtitle"> </h5>
    {% endif %} 

    <p id="description">
        Description : <br>
    </p>
    {%if request.user.is_murid and request.user.murid in course.murid_set.all %}
    <div class="divider"></div>
    <div class="section">
        <a href="/course/{{course.id}}/unenroll/" class="btn red darken-2">Unenroll</a>
    </div>
    {%endif%}
    {%if request.user.is_superuser or request.user.is_pengajar %}
    <div class="card">
        <div class="card-action">
            <h5>
                Course Actions :
            </h5>
            <a href="add-summary/" class="btn">Add Sumary</a>
            <a href="add-section/" class="btn">Add Section</a>
            <!-- <a href="#" class="btn">Add Quiz</a> -->
            <a href="/content/main/course/{{course.id}}/add-content/" class="btn">Add Content</a>
        </div>
    </div>
    {%endif %}
    <div class="divider"></div>
    <h4> <span class="material-icons">
        pending
        </span> Informasi umum</h4>
        <table>
            <tr>
                <td>
                    Penulis
                </td>
                <td>
                     {{course.author.user.get_name}}  
                </td>
            </tr>
            <tr>
                <td>
                    Sekolah/Universitas
                </td>
                <td>
                     {{course.author.organization}}  
                </td>
            </tr>
        </table>
    <div class=""> 
        <div class="divider"></div>
        <h4> <span class="material-icons">
            pending
            </span> Course Content</h4>
        {% for section in sections %}

        <h5>{{section.title}}
            {% if request.user.is_pengajar %}
            {%if request.user.username  == course.author.user.username%}
            <a href="/course/{{course.id}}/add-post/{{section.id}}" class="btn-floating purple"><i class="material-icons right ">add</i></a>
            
            {%endif %}
            {%endif %}
        </h5>
            <ul class="collapsible popout">
                {%for materi in section.post_set.all%}
                <li>
                    <div class="collapsible-header">
                        {{materi.title}}
                        <span class="material-icons">expand_more</span>
                    </div> 
                    <div class="collapsible-body">
                        <p>{{materi.description}}</p>
                    </div>
                </li>
                {%empty%}
                <li>
                    <div class="collapsible-header">
                        Belum ada konten yang ditambahkan
                    </div>
                </li>
                {%endfor%}
            </ul>
        {%endfor%}
        <div class="divider"></div>
        <a href="/quiz">
        <h4> <span class="material-icons">
            pending
            </span> Kuis / Ujian</h4>
        </a>
        <div class="divider"></div>
        <a href="/content/main/course/{{course.id}}/">
            <h4> <span class="material-icons">
                pending
            </span> Files</h4>
        </a>
        <div class="divider"></div>
        <a href="/forum/main/{{course.id}}/">
            <h4> <span class="material-icons">
                pending
            </span> Forum Diskusi</h4>
        </a>
            <div class="divider"></div>
            <!-- <h4> <span class="material-icons">
                pending
            </span> Participants</h4>
            <ul id="participants_list" class="collection">

            </ul> -->

    </div>

<script>
    var id = "{{course.id}}";
    $(document).ready(function(){
    $('.collapsible').collapsible();
    $.ajax({
        type:"GET",
        url:"/course/"+ id + "/contentsjson",
        success: function(response){
            // console.log(response[0]['fields']['subtitle']);

            var title =  response[0]['fields']['title']
            var subtitle = "<h5>"  + response[0]['fields']['subtitle'] + "</h5>"
            var desc = "<p>"  + response[0]['fields']['description'] + "</p>"
            $("#title").append(title)
            $("#subtitle").append(subtitle)
            $("#description").append(desc)
        }
    })
  });
</script>
<script src="{%static 'js/participants.js'%}"></script>

{% endblock content %}